# Package_s Struct Reference
[Build API.]

The structure used to store values for a package. More...

`#include <rpmspec.h>`

Collaboration diagram for Package_s:
[legend]

## Data Fields
Header | header
rpmds | ds
rpmfi | cpioList
struct Source * | icon
int | autoReq
int | autoProv
char * | preInFile
char * | postInFile
char * | preUnFile
char * | postUnFile
char * | preTransFile
char * | postTransFile
char * | verifyFile
StringBuf | specialDoc
char * | specialDocDir
struct TriggerFileEntry * | triggerFiles
StringBuf | fileFile
StringBuf | fileList
Package | next

## Detailed Description

The structure used to store values for a package.

Definition at line 149 of file rpmspec.h.

## Field Documentation

int Package_s::autoProv

Definition at line 157 of file rpmspec.h.

int Package_s::autoReq

Definition at line 156 of file rpmspec.h.

rpmfi Package_s::cpioList

Definition at line 152 of file rpmspec.h.

rpmds Package_s::ds

Requires: N = EVR

Definition at line 151 of file rpmspec.h.

StringBuf Package_s::fileFile

Definition at line 172 of file rpmspec.h.

StringBuf Package_s::fileList

Definition at line 173 of file rpmspec.h.

Header Package_s::header

Definition at line 150 of file rpmspec.h.

struct Source* Package_s::icon

Definition at line 154 of file rpmspec.h.

Package Package_s::next

Definition at line 175 of file rpmspec.h.

char* Package_s::postInFile

post scriptlet.

Definition at line 160 of file rpmspec.h.

char* Package_s::postTransFile

posttrans scriptlet.

Definition at line 164 of file rpmspec.h.

char* Package_s::postUnFile

postun scriptlet.

Definition at line 162 of file rpmspec.h.

char* Package_s::preInFile

pre scriptlet.

Definition at line 159 of file rpmspec.h.

char* Package_s::preTransFile

pretrans scriptlet.

Definition at line 163 of file rpmspec.h.

char* Package_s::preUnFile

preun scriptlet.

Definition at line 161 of file rpmspec.h.

StringBuf Package_s::specialDoc

Definition at line 167 of file rpmspec.h.

char* Package_s::specialDocDir

Definition at line 168 of file rpmspec.h.

struct TriggerFileEntry* Package_s::triggerFiles

Definition at line 170 of file rpmspec.h.

char* Package_s::verifyFile

verifyscript scriptlet.

Definition at line 165 of file rpmspec.h.

The documentation for this struct was generated from the following file:

- rpmspec.h